Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 603360 - =media-libs/gd-2.2.3: Multiple test failures on x86
Summary: =media-libs/gd-2.2.3: Multiple test failures on x86
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: Normal normal (vote)
Assignee: Gentoo Graphics Project
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2016-12-21 17:26 UTC by Thomas Deutschmann
Modified: 2019-03-09 18:18 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,218.91 KB, text/plain)
2016-12-21 17:26 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev 2016-12-21 17:26:02 UTC
Created attachment 457032 [details]
build.log

====================================
   GD 2.2.3: tests/test-suite.log
====================================

# TOTAL: 119
# PASS:  116
# SKIP:  0
# XFAIL: 0
# FAIL:  3
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: gdimagecopyresampled/basic_alpha
======================================

/var/tmp/portage/media-libs/gd-2.2.3/work/libgd-2.2.3/tests/gdimagecopyresampled/basic_alpha.c:36: Total pixels changed: 8 with a maximum channel difference of 128.

FAIL: gdimagecopyresampled/bug00201
===================================

/var/tmp/portage/media-libs/gd-2.2.3/work/libgd-2.2.3/tests/gdimagecopyresampled/bug00201.c:68: Total pixels changed: 7396 with a maximum channel difference of 255.

FAIL: gdimagerotate/bug00067
============================

/var/tmp/portage/media-libs/gd-2.2.3/work/libgd-2.2.3/tests/gdimagerotate/bug00067.c:46: Total pixels changed: 14143 with a maximum channel difference of 255.
/var/tmp/portage/media-libs/gd-2.2.3/work/libgd-2.2.3/tests/gdimagerotate/bug00067.c:47: comparing rotated image to /var/tmp/portage/media-libs/gd-2.2.3/work/libgd-2.2.3/tests/gdimagerotate/bug00067_150_exp.png failed.




Portage 2.3.0 (python 3.4.5-final-0, default/linux/x86/13.0, gcc-4.9.4, glibc-2.22-r4, 4.4.26-gentoo i686)
=================================================================
System uname: Linux-4.4.26-gentoo-i686-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.2
KiB Mem:     3108776 total,   1319660 free
KiB Swap:     488276 total,    475812 free
Timestamp of repository gentoo: Wed, 21 Dec 2016 08:22:26 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
ccache version 3.2.4 [disabled]
app-shells/bash:          4.3_p48-r1::gentoo
dev-lang/perl:            5.22.2::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.5.2-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.4::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000


ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ARCH="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=ivybridge -mtune=ivybridge -mno-xsaveopt"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/* *.py[co] *$py.class */dropin.cache"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3"
CXXFLAGS="-O2 -pipe -march=ivybridge -mtune=ivybridge -mno-xsaveopt"
DEFAULT_ABI="x86"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
EPREFIX=""
EROOT="/"
EVENT_NOEPOLL="1"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-32 pc"
GUILE_LOAD_PATH="/usr/share/guile/1.8"
HOME="/root"
INFOPATH="/usr/share/info:/usr/share/gcc-data/i686-pc-linux-gnu/4.9.4/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.25.1/info"
INPUT_DEVICES="keyboard mouse evdev"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-guest"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MULTILIB_ABIS="x86"
MULTIOSDIRS="../lib"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/i686-pc-linux-gnu/gcc-bin/4.9.4"
PHP_TARGETS="php5-6"
PWD="/root"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python2_7"
PYTHON_TARGETS="python2_7 python3_4"
ROOT="/"
ROOTPATH="/opt/bin:/usr/i686-pc-linux-gnu/gcc-bin/4.9.4"
RUBY_TARGETS="ruby21"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/0"
TERM="screen"
TMUX="/tmp/tmux-0/default,4333,0"
TMUX_PANE="%6"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="intel"
Comment 1 Larry the Git Cow gentoo-dev 2019-03-09 18:18:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4b9c7bfe522a0bfa760db822effe83046024d3e

commit e4b9c7bfe522a0bfa760db822effe83046024d3e
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-03-09 18:18:13 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-03-09 18:18:13 +0000

    media-libs/gd: fix build for systems without SSE support
    
    Bug: https://github.com/libgd/libgd/issues/242
    Closes: https://bugs.gentoo.org/603360
    Closes: https://bugs.gentoo.org/587992
    Closes: https://bugs.gentoo.org/632076
    Closes: https://bugs.gentoo.org/608730
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 media-libs/gd/gd-2.2.5-r2.ebuild | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)